header {
  position: absolute;
}

#toggle {
  width: 50px;
  display: flex;
  padding: 5px;
  background-color: #1a202c;
  display: block;
  border-radius: 1000px;
  cursor: pointer;
  box-shadow: 0px 5px 20px -10px #000000;
  transition: background-color 0.2s ease-in;

  .toggle-inner {
    width: 20px;
    height: 15px;
    background-color: white;
    border-radius: 1000px;
    transition: margin-left 0.2s ease-in, background-color 0.2s ease-in;

    &.toggle-active {
      margin-left: 20px;
    }
  }
}

#container {
  display: flex;
  height: 100%;
  width: 100%;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  h1 {
    padding: 0;
    margin: 0 0 10px 0;
  }

  p {
    opacity: 0.8;
  }
}

.dark-mode {
  color: white;

  #toggle {
    background-color: white;

    .toggle-inner {
      background-color: #1a202c;
    }
  }
}
.btn-dark {
  float: right;
  border: none;
  background: none;
}
